package com.ruoyi.project.pssr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.pssr.mapper.TPssrFranklinismMapper;
import com.ruoyi.project.pssr.domain.TPssrFranklinism;
import com.ruoyi.project.pssr.service.ITPssrFranklinismService;

/**
 * 静电接地，跨接Service业务层处理
 *
 * @author ssy
 * @date 2024-09-18
 */
@Service
public class TPssrFranklinismServiceImpl implements ITPssrFranklinismService
{
    @Autowired
    private TPssrFranklinismMapper tPssrFranklinismMapper;

    /**
     * 查询静电接地，跨接
     *
     * @param id 静电接地，跨接ID
     * @return 静电接地，跨接
     */
    @Override
    public TPssrFranklinism selectTPssrFranklinismById(Long id)
    {
        return tPssrFranklinismMapper.selectTPssrFranklinismById(id);
    }

    @Override
    public int selectNoConfirmCount(Long subId)
    {
        return tPssrFranklinismMapper.selectNoConfirmCount(subId);
    }
    /**
     * 查询静电接地，跨接列表
     *
     * @param tPssrFranklinism 静电接地，跨接
     * @return 静电接地，跨接
     */
    @Override
    public List<TPssrFranklinism> selectTPssrFranklinismList(TPssrFranklinism tPssrFranklinism)
    {
        return tPssrFranklinismMapper.selectTPssrFranklinismList(tPssrFranklinism);
    }

    /**
     * 新增静电接地，跨接
     *
     * @param tPssrFranklinism 静电接地，跨接
     * @return 结果
     */
    @Override
    public int insertTPssrFranklinism(TPssrFranklinism tPssrFranklinism)
    {
        return tPssrFranklinismMapper.insertTPssrFranklinism(tPssrFranklinism);
    }

    /**
     * 修改静电接地，跨接
     *
     * @param tPssrFranklinism 静电接地，跨接
     * @return 结果
     */
    @Override
    public int updateTPssrFranklinism(TPssrFranklinism tPssrFranklinism)
    {
        return tPssrFranklinismMapper.updateTPssrFranklinism(tPssrFranklinism);
    }

    /**
     * 批量删除静电接地，跨接
     *
     * @param ids 需要删除的静电接地，跨接ID
     * @return 结果
     */
    @Override
    public int deleteTPssrFranklinismByIds(Long[] ids)
    {
        return tPssrFranklinismMapper.deleteTPssrFranklinismByIds(ids);
    }

    /**
     * 删除静电接地，跨接信息
     *
     * @param id 静电接地，跨接ID
     * @return 结果
     */
    @Override
    public int deleteTPssrFranklinismById(Long id)
    {
        return tPssrFranklinismMapper.deleteTPssrFranklinismById(id);
    }
}
